Last one out of the Kinjaverse, turn out the lights.

Your browser you are using is too old. Please upgrade...

...to the latest version of your browser. I'm running Internet Explorer 11, fully updated lol

I received this message while looking at overturned beer truck pictures on 9news.com. Maybe they expect me to be on IE12 Alpha?

Advertisement

Share This Story